
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux操作系统基础知识之二：内存寻址 / iVAN</title>

    <meta name="description" content="Linux操作系统基础知识之二：内存寻址 Q1.        什么是物理地址?什么是虚地址?什么是线性地址? A: 1)        将主板上的物理内存条所提供的内存空间定义为物理内存空间,其中每个内存单元的实际地址就是物理地址: 2)        将应用程序员看到的内存空间定义为虚拟地址空间(或地址空间),其中的地址就叫做虚拟地址(或虚地址),一般用&quot;段:偏移量&quot;的形式来描述,如A815:CF2D: 3)        线性地址空间是指一段连续的.不分段的.范围为0~4GB的地址空间,一个线性地址就是线性地址 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Linux操作系统基础知识之二：内存寻址</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>Q1.        什么是物理地址？什么是虚地址？什么是线性地址？</strong><br />
<br />A：</p>
<p>1)        将主板上的物理内存条所提供的内存空间定义为物理内存空间，其中每个内存单元的实际地址就是物理地址；</p>
<p>2)        将应用程序员看到的内存空间定义为虚拟地址空间(或地址空间)，其中的地址就叫做虚拟地址(或虚地址)，一般用“段:偏移量”的形式来描述，如A815:CF2D；</p>
<p>3)        线性地址空间是指一段连续的、不分段的、范围为0~4GB的地址空间，一个线性地址就是线性地址空间的一个绝对地址。</p>
<p> </p>
<p><strong>Q2.        在保护模式下，MMU如何把一个虚地址转换为物理地址？</strong></p>
<p>A：在保护模式下，内存管理单元(MMU)由一个或一组芯片组成，其功能是指虚拟地址映射为物理地址，即进行地址转换；MMU是一种硬件电路，它包含分段部件和分页部件两个部件，分别叫做分段机制和分页机制，分段机制是把一个虚拟地址转换为线性地址，分页机制是把一个线性地址转换为物理地址。</p>
<p> </p>
<p><strong>Q3.        为什么对32位线性地址空间要采用两级页表？</strong></p>
<p>A：页表是把线性地址映射到物理地址的一种数据结构，4GB的线性空间可以被划分为1M个4KB大小的页，每个页表项占4字节，则1M个页表项的页表就需要占用4MB空间，而且还要求是连续的，于是采用两级页表来实现；两级页表就是对页表再进行分页，第一级称为页目录，其中存放关于页表的信息；4MB的页表再次分页，可以分为1K个4KB大小的页。</p>
<p> </p>
<p><strong>Q4.        页面高速缓存的作用是什么？Linux为什么主要采用分页机制来实现虚拟存储管理？它为什么采用三级分页模式而不是两级？</strong></p>
<p>A：</p>
<p>1)        页面高速缓存自动保留处理器最近使用的32项页表项，因此可以覆盖128KB范围的内存；</p>
<p>2)        Linux主要采用分页机制来实现虚拟存储器管理，原因为：</p>
<p>A.      Linux的分段机制使得所有的进程都使用相同的段寄存器，这使得内存管理变得简单；</p>
<p>B.      Linux的设计目标之一就是能够被移植到绝大多数流行的处理平台上，但许多RISC处理器支持的分段功能非常有限；为了保证可移植性，Linux采用三级分页模式，因为许多处理器都采用64位结构；Linux定义了三种类型的页表：页目录(PGD)、中间目录(PMD)和页表(PT)。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 23:27:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%93%8d%e4%bd%9c%e7%b3%bb%e7%bb%9f/" title="操作系统">操作系统</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%91%98/" title="程序员">程序员</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="数据结构">数据结构</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98%e7%ae%a1%e7%90%86/" title="内存管理">内存管理</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98%e5%af%bb%e5%9d%80/" title="内存寻址">内存寻址</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Linux操作系统基础知识之二：内存寻址的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyenQZM.html" rel="bookmark">Linux操作系统基础知识之一：Linux操作系统概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 Q1.        什么是GNU?Linux与GNU有什么关系? A: 1)        GNU是GNU is Not Unix的递归缩写,是自由软件基金会(Free Software Foundation,FSF)的一个项目,该项目已经开发了许多高质量的编程工具,包括emacs编辑器.著名的GNU C和C++编译器(gcc和g++): 2)        Linux的开发使用了许多GNU工具,Linux系统上用于实现POSIX.2标准的工具几乎都是由GNU项目开发的:Linux内核.GN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQn36z.html" rel="bookmark">Linux操作系统基础知识之八：文件系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Q1.        Linux目录树结构是怎样的?它与Windows的目录树结构有什么区别?为什么Linux的文件系统采用固定的目录形式? A:文件是一个抽象的概念,它是存放一切数据或信息的仓库: 1)        Linux的目录树结构为:根目录(/)在上,其它的平行在下: 2)        Windows操作系统也是采用树型结构,但其树型结构的根是磁盘分区的盘符,有几个分区就有几个树型结构,它们之间的关系式并列的:而在Linux中,无论操作系统管理几个磁盘分区,这样的目录树只有一个:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0ZwN7z.html" rel="bookmark">Linux操作系统基础知识之九：设备驱动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Q1.        为什么把设备分为&quot;块设备&quot;和&quot;字符设备&quot;两大类? A: 1)        Linux将设备看成文件,具有三方面的含义:第一,每个设备都对应一个文件名,在内核中也就对应一个索引节点:第二,对文件操作的系统调用大都适用于设备文件:第三,从应用程序的角度看,设备文件的逻辑空间是一个线性空间:对于同一个具体的设备而言,文件操作和设备驱动是同一个事物的不同层次,概念上可以将一个系统划分为应用.文件系统和设备驱动三个层次: 2)        Linux			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5YjY7p.html" rel="bookmark">Linux操作系统基础知识之三：进程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Q1.        程序与进程的概念分别是什么?为什么要引入&quot;进程&quot;的概念? A: 1)        程序是一个普通文件,是机器代码指令和数据的集合,这些指令和数据存储在磁盘上的一个可执行映像中,可执行映像(executable image)就是一个可执行文件的内容: 2)        进程代表程序的执行过程,它是一个动态的实体,随着程序中指令的执行而不断地变化,在某个时刻进程的内容被称为进程映像(process image): 3)        程序的执行过程可以说是一个执行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOXJqqb.html" rel="bookmark">Linux操作系统基础知识之七：内核中的同步</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Q1.        什么是临界区?什么是竞争状态?什么是同步? A: 1)        临界区(critical regions)就是访问和操作共享数据的代码段,多个内核任务并发访问同一个资源通常是不安全的: 2)        如果两个内核任务可能处于同一个临界区,就是一种错误现象:如果确实发生了这种情况,就称它为竞争状态: 3)        避免并发和防止竞争状态称为同步(synchronization).   Q2.        简要介绍一下死锁及避免死锁的方法. 答:死锁包括自死			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO9Dk9M.html" rel="bookmark">Linux操作系统基础知识之六：系统调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Q1.        什么是系统调用?为什么要引入系统调用? A: 1)        操作系统为用户态的进程与硬件设备(如CPU.磁盘和打印机等)之间的交互提供了一组接口,这些接口使得程序更具有可移植性,因为不同的操作系统只要所提供的一组接口相同,那么在这些操作系统之上就可以正确地编译和执行相同的程序,这组接口就是所谓的&quot;系统调用&quot;: 2)        引入系统调用的原因有: A.      这使得编程更加容易: B.       这极大地提高了系统的安全性: C.      最重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP2YBAb.html" rel="bookmark">Linux操作系统基础（四）保护模式内存管理（2）【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/rosetta/article/details/8570681 Linux操作系统基础(四)保护模式内存管理(2) 转载请注明出处:http://blog.csdn.net/rosetta           本节主要讲:保护模式内存管理相关的物理地址空间,逻辑和线性地址空间,段选择符,段寄存器,段描述符. 物理地址空间          保护模式下,IA-32架构提供了一个4GBytes(2^32bytes)正常大小的物理寻址空间.处理器可以使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrXOVz.html" rel="bookmark">记录由Equal基础知识引起的内存泄露</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      在最近的公司框架开发中,利用了网上某大牛的反射缓存库作为辅助.在测试的时候发现出现了巨大的内存泄露,在频繁的操作后,内存不断的产生巨大的开销,10多分钟就占有了5,6m的内存.解决问题的时,公司不能上网,没有内存分析工具,没有我钟爱的ANTS Memory Profiler帮助下,我们只能靠简单的内存输出来二分查找缩小范围,利用 System.Diagnostics命名空间下的Process的WorkingSet64属性来统计两次输出的内存增长量(WorkingSet64:描述关联的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwG68z.html" rel="bookmark">linux防火墙基础知识以及如何管理设置iptables规则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.linux防火墙基础 防火墙分为硬件防火墙和软件防火墙. 1.概述 linux 防火墙体系主要工作在网络层,针对TCP/IP数据包实施过滤和限制,属于典型的包过滤防火墙. 包过滤机制:netfilter 管理防火墙规则命令工具:iptables netfilter 指linux内核中实现包过滤防火墙的内部结构,不依程序或文件的形式存在,属于&quot;内核态&quot;的防火墙功能体系 iptables 指管理linux防火墙的命令工具,属于&quot;用户态&quot;的防火墙管理体系 2.ipta			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKBG5z.html" rel="bookmark" class="title">J2ME 2D小游戏入门之旅&lpar;二&rpar;完善周边工具类</a>
					<div>
						二.完善周边工具类(图象.GameObject.Font) 虽然我们有了midp2.0的支持,但是有时还是需要一些辅助工具,方便我们使用.这怕是在进行真正的游戏设计之前最有趣的了. 1,首先是一个Im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy7AKb.html" rel="bookmark" class="title">java中的接口与实现</a>
					<div>
						我们通常认为访问控制是&quot;隐藏实施细节&quot;的一种方式.将数据和方法封装到类内后,可生成一种数据类型,它具有自己的特征与行为.但由于两方面重要的原因,访问为那个数据类型加上了自己的边界. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RnRdp.html" rel="bookmark" class="title">Photoshop如何制作小水滴坠落动画</a>
					<div>
						  Photoshop如何制作小水滴坠落动画           最终效果 1.新建一个500 * 200像素,白色背景文件,新建一个图层添加下图所示的径向渐变. 2.按Ctrl + Shift +  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlGO5b.html" rel="bookmark" class="title">再设计Redesign</a>
					<div>
						一个网站的核心是它的功能和内容,而设计则决定了这些功能.内容如何被组织和展现出来. 对已成功的网站进行再设计--重新构造它的组织和展现形式是具有挑战性的.偏偏有设计师喜欢迎难而上,尝试对faceboo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd60v3b.html" rel="bookmark" class="title">Win7系统打不开&period;DMP文件如何解决</a>
					<div>
						方法如下: 1.下载并安装Debugging Tools; 2.安装完成后,点击开始菜单,找到&quot;Debugging Tools for Windows (x86)&quot;文件夹,点击运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7EA3b.html" rel="bookmark" class="title">win7系统如何安装语言包？</a>
					<div>
						  很多时候,也许我们使用到的语言不仅仅只有中文一种,现在毕竟是国际化的大交流时代,我们在大学里.在生活中.在工作中都有可能遇到国外的朋友,而现在的交流又大多以互联网会基础,所以使用其他的语言也是很正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw6lVb.html" rel="bookmark" class="title">web-求助 apache&plus;tomcat配置域名</a>
					<div>
						问题描述 求助 apache+tomcat配置域名 各位大神求助目前用3个tomcat 分别部署3个项目通过apache进行整合,其中3个web工程是web项目的3个子模块目前整合方法如下:#加载mo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqJJkb.html" rel="bookmark" class="title">Android群英传笔记&mdash;&mdash;第五章：Android Scroll分析</a>
					<div>
						Android群英传笔记--第五章:Android Scroll分析 滑动事件算是Android比较常用的效果了,而且滑动事件他本身也是有许多的知识点,今天,我们就一起来耍耍Scroll吧 一.滑动效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA7q8p.html" rel="bookmark" class="title">使用Exchanger实现两个线程之间的数据交互</a>
					<div>
						在看Jetty源码中的EndPointTest类,对EndPoint的测试,我的思路是:1. 建立一个连接(创建ServerSocket实例,一般还会给定一个端口,其实可以bind(null)以让操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRraOb.html" rel="bookmark" class="title">git 专题</a>
					<div>
						.gitignore文件示例: .classpath .project .idea/ .settings/ target/ *~ *.iml *.log *.tmp   -or create a ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZKdmz.html" rel="bookmark" class="title">秒拍视频分享到微信或微信朋友圈的方法</a>
					<div>
						1.点在秒拍界面我们点击&quot;+&quot;,如果没有登录我们登录了,然后点击&quot;导入照片&quot;. 2.然后我们把相册的照片导入,然后点击&quot;下一张&quot;继续添加.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAR7ZM.html" rel="bookmark" class="title">教程-canphp 是没有使用手册的吗</a>
					<div>
						问题描述 canphp 是没有使用手册的吗 网上找了一下都是几年前的了,最新的手册没有吗?有木有人用这个开发过的啊?来源代码案例什么的有没有? 解决方案 看看这个是否有帮助 CanPHP框架开发手册  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKJ9Oz.html" rel="bookmark" class="title">Python 开发已成趋势：几种主流的Python开发板对比</a>
					<div>
						Python是一门近几年崛起很快也很火的编程语言.区别于我们国家大学里的第一门编程语言往往是C语言,Python则成为了国外本科学的入门级编程语言.同时随着科技的发展,拥有高容量.高速度和多样性的大数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB7rwM.html" rel="bookmark" class="title">中国软件评测中心举行中国政府网站绩效评估结果发布会</a>
					<div>
						对移动政务客户端进行的专项评估结果显示,截至11月15日,部委.省级.地市和区县政府的移动政务客户端建成比例分别为25%.31%.11%和3.8%,总体建成比例较低.中国软件评测中心副主任张少彤介绍, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB0vwM.html" rel="bookmark" class="title">普通程序员如何转向AI方向</a>
					<div>
						一. 目的 本文的目的是给出一个简单的,平滑的,易于实现的学习方法,帮助 &quot;普通&quot; 程序员踏入AI领域这个门.这里,我对普通程序员的定义是:拥有大学本科知识:平时工作较忙:自己能获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjNVWM.html" rel="bookmark" class="title">关于bootstrap下模拟框的使用</a>
					<div>
						问题描述 关于bootstrap下模拟框的使用 模拟框打开后不能输入,是灰色的?什么情况? 解决方案 怎么感觉你样式挨修改过了,dialog输入框显示在lightbox遮盖层下面,被lightbox遮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JoyWz.html" rel="bookmark" class="title">iPhoneQQ4&period;2版何时上线呢？</a>
					<div>
						随着AndroidQQ4.2版的正式上线,新版的手机QQ不仅带来了全新的个性化聊天体验,还在诸多UI上做了些全新的改版,而在此之余,很多iPhone用户不禁要问,iPhoneQQ4.2版何时上线呢?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJJJvp.html" rel="bookmark" class="title">万能五笔中文输入法使用技巧谈</a>
					<div>
						万能五笔(万能码)是一种集五笔.拼音.英文.笔画等多种输入方法于一体的32位外挂式输入法应用程序, 具备许多其他输入法所无法比拟的特色,国内使用的人很多.笔者经过一段试用,也得到了一些非常实用的使用技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRRWOp.html" rel="bookmark" class="title">我的Android进阶之旅------&amp;amp&semi;gt&semi;Java字符串格式化方法String&period;format&lpar;&rpar;格式化float型时小数点变成逗号问题</a>
					<div>
						    今天接到一个波兰的客户说有个APP在英文状态下一切运行正常,但是当系统语言切换到波兰语言的时候,程序奔溃了.好吧,又是我来维护.     好吧,先把系统语言切换到波兰语,切换到波兰语的方法查看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkWeZM.html" rel="bookmark" class="title">【MySQL】mysqld got signal 11 案例一则</a>
					<div>
						  今天遇到一个案例:监控报警 mysql 服务器突然crash,登陆数据库服务器发现mysqld_safe 进程存在,但是无法登陆数据库. root@rac1 # my Entry Port === ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgP0AM.html" rel="bookmark" class="title">linux之vim配置</a>
					<div>
						代码自动补全和代码跳转阅读,应该是作为程序员最常用的功能之一了,具体二者是指什么我就不解释了.微软的Visual Studio就是靠这两样必杀技牢牢占据着广大windows程序员的心(这里面要有强大的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL9KOM.html" rel="bookmark" class="title">html-在HTML中link alink vlink都是干什么有的？它们区别是什么？</a>
					<div>
						问题描述 在HTML中link alink vlink都是干什么有的?它们区别是什么? 在HTML中link alink vlink都是干什么有的?它们区别是什么? 解决方案 link:链接,alin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7QW7M.html" rel="bookmark" class="title">ios-IOS APP开发，测试项目启动出错，在线等</a>
					<div>
						问题描述 IOS APP开发,测试项目启动出错,在线等 购买了一个开发者账号,实机测试了几天没有出现问题,今天把项目清空重新编译了一次,启动的时候就开始报错&quot;The application  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdnrKM.html" rel="bookmark" class="title">PHP常用的小程序代码段&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP常用的小程序代码段.分享给大家供大家参考,具体如下: 1.计算两个时间的相差几天 $startdate=strtotime(&quot;2009-12-09&quot;); $en ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgLnGz.html" rel="bookmark" class="title">js实现文本框宽度自适应文本宽度的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js实现文本框宽度自适应文本宽度的方法.分享给大家供大家参考.具体如下: 一个会随着输入文本框的字符多少而自动增加宽度的JS代码,当我们在文本框中输入字符的时候,如果文本框的宽度定义太小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7em7p.html" rel="bookmark" class="title">悬而未决的5G频谱：中国政府真能沉住气</a>
					<div>
						18年前,刚刚起步的中国移动通信产业,成功的利用了欧洲与美国之间在3G标准制定过程中的嫌隙,把尚在襁褓之中的TD-SCDMA推成了与WCDMA/cdma2000同样的国际标准. 不得不说,这是个非常高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YYynp.html" rel="bookmark" class="title">新车间李大维：开源硬件成就未来新山寨</a>
					<div>
						相信从事开源硬件行业的人,没几个不认识李大维.他曾经参与过著名导演史蒂芬·斯皮尔伯格的互动式多媒体项目.迪士尼虚拟世界项目,也为Facebook等名企设计社交应用.他从事软件行业20多年,并一直致力于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW6R1M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;手机控&rdquo;三宗罪</a>
					<div>
						&quot;如果手机没电了,会心神不宁,怕漏掉客户重要的电话,也会觉得没意思了,手里没有玩儿的工具了.&quot;小方是在香港中环写字楼里上班的白领,同时也是个典型的手机&quot;低头族&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdxXxz.html" rel="bookmark" class="title">Xrush网游加速器新手使用指南</a>
					<div>
						Xrush,全称X极速http://www.aliyun.com/zixun/aggregation/35957.html&quot;&gt;网游加速器,是上海乐宝思信息科技有限公司2009年隆重推出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYd1m6b.html" rel="bookmark" class="title">详解ASP&period;NET-----Repeater数据控件的用法总结&lowbar;实用技巧</a>
					<div>
						一.Repeater控件的用法流程及实例: 1.首先建立一个网站,新建一个网页index.aspx. 2.添加或者建立APP_Data数据文件,然后将用到的数据库文件放到APP_Data文件夹中. 3 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.036 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
